> ## Documentation Index
> Fetch the complete documentation index at: https://docs.benzinga.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Dividends

> Returns dividends data for a selected period and/or security, including both confirmed and unconfirmed dividend dates. V2.2 includes additional fields: confirmed, period, and year. This version provides more detailed information about dividend confirmation status and periodicity.

<ResponseExample>
  ```json Response (200 OK) theme={null}
  {
    "dividends": [
      {
        "confirmed": false,
        "currency": "USD",
        "cusip": "33740U620",
        "date": "2026-12-31",
        "dividend": "0.1636",
        "dividend_prior": "0.1636",
        "dividend_type": "Cash",
        "dividend_yield": "",
        "end_regular_dividend": false,
        "ex_dividend_date": "2027-01-04",
        "exchange": "BATS",
        "frequency": 12,
        "id": "6958d4d893cde40001ee2606",
        "importance": 1,
        "isin": "US33740U6203",
        "name": "First Trust Exchange-Traded Fund VIII FT Vest U.S. Equity Buffer & Premium Income ETF - March",
        "notes": "",
        "payable_date": "2027-01-05",
        "period": "JAN",
        "record_date": "2027-01-04",
        "ticker": "XIMR",
        "updated": 1767429336,
        "year": 2027
      },
      {
        "confirmed": false,
        "currency": "USD",
        "cusip": "33740F235",
        "date": "2026-12-31",
        "dividend": "0.1788",
        "dividend_prior": "0.1788",
        "dividend_type": "Cash",
        "dividend_yield": "",
        "end_regular_dividend": false,
        "ex_dividend_date": "2027-01-04",
        "exchange": "BATS",
        "frequency": 12,
        "id": "6958d4d393cde40001ee25f5",
        "importance": 1,
        "isin": "US33740F2359",
        "name": "First Trust Exchange-Traded Fund VIII FT Vest U.S. Equity Buffer & Premium Income ETF - June",
        "notes": "",
        "payable_date": "2027-01-05",
        "period": "JAN",
        "record_date": "2027-01-04",
        "ticker": "XIJN",
        "updated": 1767429331,
        "year": 2027
      }
    ]
  }
  ```

  ```json Response (401 Unauthorized) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "auth_failed",
        "id": "unauthorized",
        "value": "Invalid or missing authentication token"
      }
    ]
  }
  ```

  ```json Response (404 Not Found) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "no_data_found",
        "id": "not_found",
        "value": "No data found for the specified parameters"
      }
    ]
  }
  ```

  ```json Response (500 Internal Server Error) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "internal_server_error",
        "id": "server_error",
        "value": "An unexpected error occurred while processing your request"
      }
    ]
  }
  ```
</ResponseExample>


## OpenAPI

````yaml /openapi/calendar_api.spec.yml GET /api/v2.2/calendar/dividends
openapi: 3.0.0
info:
  contact: {}
  description: >-
    This REST API returns structured data for conference calls, dividends,
    earnings (and future earnings dates), economics, pharmaceutical
    announcements, guidance, IPOs, secondary offerings, ratings, M&A activity,
    and splits.
  termsOfService: http://swagger.io/terms/
  title: Calendar API
  version: 2.1.0
servers:
  - url: https://api.benzinga.com
    description: PROD
security: []
paths:
  /api/v2.2/calendar/dividends:
    get:
      tags:
        - Dividends
      summary: Dividends Events V2.2
      description: >-
        Returns dividends data for a selected period and/or security, including
        both confirmed and unconfirmed dividend dates. V2.2 includes additional
        fields: confirmed, period, and year. This version provides more detailed
        information about dividend confirmation status and periodicity.
      operationId: get-dividends-v22
      parameters:
        - description: >-
            Specifies return format. Query parameters work the same for both
            formats
          in: header
          name: accept
          required: true
          schema:
            type: string
            enum:
              - application/json
            default: application/json
        - description: >-
            Page offset. For optimization, performance and technical reasons,
            page offsets are limited from 0 - 100000. Limit the query results by
            other parameters such as date
          in: query
          name: page
          schema:
            type: integer
            default: 0
        - description: Number of results returned. Limit 1000
          in: query
          name: pagesize
          schema:
            type: integer
        - description: >-
            Date to query for calendar data. Shorthand for date_from and date_to
            if they are the same. Defaults for latest
          in: query
          name: parameters[date]
          schema:
            type: string
            format: YYYY-MM-DD
        - description: Date to query from point in time
          in: query
          name: parameters[date_from]
          schema:
            type: string
            format: YYYY-MM-DD
        - description: Date to query to point in time
          in: query
          name: parameters[date_to]
          schema:
            type: string
            format: YYYY-MM-DD
        - description: Dividend date field to sort on (newest to oldest)
          in: query
          name: parameters[date_sort]
          schema:
            type: string
            enum:
              - announced
              - ex
              - payable
              - record
        - description: >-
            Specifies how to filter using dividend yield. gt = Greater Than, gte
            = Greater Than Equal, eq = Equal, lt = Less Than, lte = Less Than
            Equal
          in: query
          name: parameters[dividend_yield_operation]
          schema:
            type: string
            enum:
              - gt
              - gte
              - eq
              - lte
              - lt
        - description: >-
            The dividend yield amount to filter by. Defaults to using Equal To
            the amount indicated. 1 = 100%
          in: query
          name: parameters[dividend_yield]
          schema:
            type: number
        - description: >-
            The importance level to filter by. Uses Greater Than or Equal To the
            importance indicated
          in: query
          name: parameters[importance]
          schema:
            type: integer
            enum:
              - 0
              - 1
              - 2
              - 3
              - 4
              - 5
        - description: One or more ticker symbols separated by a comma. Maximum 50 tickers
          in: query
          name: parameters[tickers]
          schema:
            type: string
            format: csv
        - description: >-
            Records last Updated Unix timestamp (UTC). This will force the sort
            order to be Greater Than or Equal to the timestamp indicated
          in: query
          name: parameters[updated]
          schema:
            type: integer
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.DividendResponse'
            text/xml:
              schema:
                $ref: '#/components/schemas/api.DividendResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
            text/xml:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
            text/xml:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    api.DividendResponse:
      description: API response containing an array of dividend records
      properties:
        dividends:
          items:
            $ref: '#/components/schemas/calendarapi.Dividend'
          type: array
      type: object
    api.ErrorResponse:
      properties:
        text:
          type: string
      type: object
    calendarapi.Dividend:
      properties:
        confirmed:
          example: true
          type: boolean
        currency:
          example: USD
          type: string
        cusip:
          example: 37833100
          type: string
        date:
          example: '2024-01-09'
          type: string
        dividend:
          example: '0.25'
          type: string
        dividend_prior:
          example: '0.24'
          type: string
        dividend_type:
          example: Cash
          type: string
        dividend_yield:
          example: '0.55'
          type: string
        end_regular_dividend:
          example: false
          type: boolean
        ex_dividend_date:
          example: '2024-01-12'
          type: string
        exchange:
          example: NASDAQ
          type: string
        frequency:
          example: 4
          type: integer
        id:
          example: 60a7f5e8e4b0f5a3c8e9f5a7
          type: string
        importance:
          example: 3
          type: integer
        isin:
          example: US0378331005
          type: string
        name:
          example: Apple Inc.
          type: string
        notes:
          example: Regular quarterly dividend
          type: string
        payable_date:
          example: '2024-02-15'
          type: string
        period:
          example: Q1
          type: string
        record_date:
          example: '2024-01-15'
          type: string
        ticker:
          example: AAPL
          type: string
        updated:
          example: 1704819600
          type: integer
        year:
          example: 2024
          type: integer
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: query
      name: token
      type: apiKey

````